Index: trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator1_d.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator1_d.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator1_d.js	(revision 50)
@@ -3,5 +3,5 @@
     [ "TrajectoryGenerator1D", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a27ec122c93e06838155d35541cd91ece", null ],
     [ "~TrajectoryGenerator1D", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a90da7cbae745b5a2a8e52641f4b1d481", null ],
-    [ "StartTraj", "classflair_1_1filter_1_1_trajectory_generator1_d.html#ab682c3574b7a050bd65475ce00d03a16", null ],
+    [ "StartTraj", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a94f61b22433b9ad621d22a9f12517a26", null ],
     [ "StopTraj", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a28cc21dac02612396c4be5af97c87b2b", null ],
     [ "Reset", "classflair_1_1filter_1_1_trajectory_generator1_d.html#aafcba1bfa8ff1efb1ac8b321799ba859", null ],
Index: trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator2_d_circle.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator2_d_circle.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator2_d_circle.js	(revision 50)
@@ -3,12 +3,12 @@
     [ "TrajectoryGenerator2DCircle", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a103a8785df6c651962d71e5dfa937550", null ],
     [ "~TrajectoryGenerator2DCircle", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae669ea580ced854d4156ad4ecb7107de", null ],
-    [ "StartTraj", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a5789f6cf4829447a33fc672261ab16ae", null ],
+    [ "StartTraj", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a637ce1ebabfb653a493314f707fa3ae4", null ],
     [ "StopTraj", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#afa7fb1b5ce2b0036b2eae7c1f3f27fb1", null ],
     [ "FinishTraj", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#acad5ff3e2079054372a276e34c08fc2a", null ],
-    [ "SetCenter", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a741d8a2f31ae41217e6a7aadcf2c1004", null ],
-    [ "SetCenterSpeed", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ab834073fc2802bacf5e1ba38abce5c8b", null ],
+    [ "SetCenter", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a3e99a6f66622cbf661c46e2bf65b70dc", null ],
+    [ "SetCenterSpeed", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#add30dea61dd67cf2cb2457d28fbad35c", null ],
     [ "Update", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ab4c33fe719831488ce56b833c31dd426", null ],
-    [ "GetPosition", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aea95d0146447117762229550a11ad415", null ],
-    [ "GetSpeed", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ac95915bd0d1e21f744195d9e0543896e", null ],
+    [ "GetPosition", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae39218d67b655176c2d9b6679702c9c7", null ],
+    [ "GetSpeed", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a928d70f190300eb5a545940d2f5417be", null ],
     [ "Matrix", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a2c4cd945efca8086a38a298407de1e56", null ],
     [ "IsRunning", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8", null ]
Index: trunk/doc/Flair/classflair_1_1filter_1_1_uav_multiplex.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_uav_multiplex.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_uav_multiplex.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1filter_1_1_uav_multiplex =
 [
-    [ "UavMultiplex", "classflair_1_1filter_1_1_uav_multiplex.html#ac80810a847c3cac5321db6092e4d308f", null ],
+    [ "UavMultiplex", "classflair_1_1filter_1_1_uav_multiplex.html#a3c2eee3c6dff30b093501a7ed8df8a4f", null ],
     [ "~UavMultiplex", "classflair_1_1filter_1_1_uav_multiplex.html#a6e164ab1ddc7017e86a890e2fe4755a0", null ],
     [ "SetRoll", "classflair_1_1filter_1_1_uav_multiplex.html#a355b6f35700da8036bab83040ab04ee9", null ],
Index: trunk/doc/Flair/classflair_1_1filter_1_1_x4_x8_multiplex.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_x4_x8_multiplex.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_x4_x8_multiplex.js	(revision 50)
@@ -15,5 +15,5 @@
       [ "BottomRearRight", "classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074", null ]
     ] ],
-    [ "X4X8Multiplex", "classflair_1_1filter_1_1_x4_x8_multiplex.html#adab54bddf74aadd3eaf9fb156abc60d8", null ],
+    [ "X4X8Multiplex", "classflair_1_1filter_1_1_x4_x8_multiplex.html#a32a704ec5f3dcf55007b9d02998a5ce5", null ],
     [ "~X4X8Multiplex", "classflair_1_1filter_1_1_x4_x8_multiplex.html#aa3b731c11f87975b216e54f2b568c0e1", null ],
     [ "UseDefaultPlot", "classflair_1_1filter_1_1_x4_x8_multiplex.html#a807762c68c04134ef3ccea86d68a238a", null ],
Index: trunk/doc/Flair/classflair_1_1gui_1_1_vector3_d_spin_box.js
===================================================================
--- trunk/doc/Flair/classflair_1_1gui_1_1_vector3_d_spin_box.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1gui_1_1_vector3_d_spin_box.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1gui_1_1_vector3_d_spin_box =
 [
-    [ "Vector3DSpinBox", "classflair_1_1gui_1_1_vector3_d_spin_box.html#a0275f20370fe116d21311d4ce06fb67c", null ],
+    [ "Vector3DSpinBox", "classflair_1_1gui_1_1_vector3_d_spin_box.html#aab8ded779022c71d49ab8d828caf4c38", null ],
     [ "~Vector3DSpinBox", "classflair_1_1gui_1_1_vector3_d_spin_box.html#aa515751c54ff8fd98cca84f4c374929b", null ],
-    [ "Value", "classflair_1_1gui_1_1_vector3_d_spin_box.html#a46615af09df922bb839f043542c4693c", null ]
+    [ "Value", "classflair_1_1gui_1_1_vector3_d_spin_box.html#abe057c07f127a2647e1f073896422efb", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_hds_x8.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_hds_x8.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_hds_x8.js	(revision 50)
@@ -1,7 +1,9 @@
 var classflair_1_1meta_1_1_hds_x8 =
 [
-    [ "HdsX8", "classflair_1_1meta_1_1_hds_x8.html#a32f79f226e0215e64f7657e0f4e60adf", null ],
+    [ "HdsX8", "classflair_1_1meta_1_1_hds_x8.html#ae15209e2a2f8af4354ea616ea27d6f47", null ],
     [ "~HdsX8", "classflair_1_1meta_1_1_hds_x8.html#ac64a8cb838c09d0b6489ccc37767d5c5", null ],
     [ "StartSensors", "classflair_1_1meta_1_1_hds_x8.html#af81a1712836f11a7da676052f7590d86", null ],
-    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_hds_x8.html#a9320de93d6ac7de147498180a475c77f", null ]
+    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_hds_x8.html#a9320de93d6ac7de147498180a475c77f", null ],
+    [ "isReadyToFly", "classflair_1_1meta_1_1_hds_x8.html#a20e7d667e8c6b5a2d9fa4a17690d4010", null ],
+    [ "GetType", "classflair_1_1meta_1_1_hds_x8.html#abe6804ca7bb1842f876c01ea84f44fec", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_meta_dual_shock3.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_meta_dual_shock3.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_meta_dual_shock3.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1meta_1_1_meta_dual_shock3 =
 [
-    [ "MetaDualShock3", "classflair_1_1meta_1_1_meta_dual_shock3.html#adc6a6f905adfa02ee3bd73cd3019f423", null ],
+    [ "MetaDualShock3", "classflair_1_1meta_1_1_meta_dual_shock3.html#a5a5d7d8f63154c5c9b37d89822faea1d", null ],
     [ "~MetaDualShock3", "classflair_1_1meta_1_1_meta_dual_shock3.html#af6d3c1f4b3d510ba6b9a4e4d24af0724", null ],
     [ "GetReferenceOrientation", "classflair_1_1meta_1_1_meta_dual_shock3.html#aecdba55c31dcf77cb5c23f501a52ad1a", null ],
Index: trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js	(revision 50)
@@ -8,4 +8,4 @@
     [ "VzPlot", "classflair_1_1meta_1_1_meta_vrpn_object.html#ab1a4f71a85b979f8f32596e72b8be545", null ],
     [ "XyPlot", "classflair_1_1meta_1_1_meta_vrpn_object.html#a1b5d32cee1f95551b011bf342f812953", null ],
-    [ "GetSpeed", "classflair_1_1meta_1_1_meta_vrpn_object.html#a97c29f5bd63ed6e79dd9dc61d98a6eb9", null ]
+    [ "GetSpeed", "classflair_1_1meta_1_1_meta_vrpn_object.html#acec7417d42d58cc6e7e1dec789f442b3", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4.js	(revision 50)
@@ -1,6 +1,7 @@
 var classflair_1_1meta_1_1_simu_x4 =
 [
-    [ "SimuX4", "classflair_1_1meta_1_1_simu_x4.html#a50f20532b0ce03892174d5e82f113172", null ],
+    [ "SimuX4", "classflair_1_1meta_1_1_simu_x4.html#a3a72b94775bf71510d2a015518e9184e", null ],
     [ "~SimuX4", "classflair_1_1meta_1_1_simu_x4.html#a077d807f2a97a9177e0cccd721de2058", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_simu_x4.html#ac465bd864baebe91ed22937da4392d08", null ]
+    [ "StartSensors", "classflair_1_1meta_1_1_simu_x4.html#ac465bd864baebe91ed22937da4392d08", null ],
+    [ "GetType", "classflair_1_1meta_1_1_simu_x4.html#a06d5b4668f194bd078f3589a68418fb5", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_simu_x8.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_simu_x8.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_simu_x8.js	(revision 50)
@@ -1,6 +1,7 @@
 var classflair_1_1meta_1_1_simu_x8 =
 [
-    [ "SimuX8", "classflair_1_1meta_1_1_simu_x8.html#a04d3a47b57b4c2631c80dfe1650c9926", null ],
+    [ "SimuX8", "classflair_1_1meta_1_1_simu_x8.html#aefa595f2c5961b80179cf1c890ac3cd9", null ],
     [ "~SimuX8", "classflair_1_1meta_1_1_simu_x8.html#a48a3e01cda9c4641539d3e4499944204", null ],
-    [ "StartSensors", "classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96", null ]
+    [ "StartSensors", "classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96", null ],
+    [ "GetType", "classflair_1_1meta_1_1_simu_x8.html#a9873fa1308d66ff9ff833edab0876b38", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1meta_1_1_uav.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 50)
@@ -15,4 +15,6 @@
     [ "GetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29", null ],
     [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44", null ],
+    [ "isReadyToFly", "classflair_1_1meta_1_1_uav.html#a9cdc97a1b23e95add9f45a1e74c0a2ec", null ],
+    [ "GetType", "classflair_1_1meta_1_1_uav.html#a5eab979789e79a4101f6d5de3d07baed", null ],
     [ "SetBldc", "classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4", null ],
     [ "SetMultiplex", "classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f", null ],
Index: trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js	(revision 50)
@@ -40,5 +40,5 @@
     [ "SetTorqueMode", "classflair_1_1meta_1_1_uav_state_machine.html#a70002c653806c3e18f3f04ae46b4e24b", null ],
     [ "GetCurrentQuaternion", "classflair_1_1meta_1_1_uav_state_machine.html#ae632fa95dfbd03b2459390c0aa97b7c4", null ],
-    [ "GetCurrentAngularSpeed", "classflair_1_1meta_1_1_uav_state_machine.html#a42bd79939eca721ee4b632ee07d704e6", null ],
+    [ "GetCurrentAngularSpeed", "classflair_1_1meta_1_1_uav_state_machine.html#abeb4955dc8ace81d74fe6e7eb5c952e4", null ],
     [ "Land", "classflair_1_1meta_1_1_uav_state_machine.html#a08afc337453ad8587ff07c0c07c1d42f", null ],
     [ "EmergencyLand", "classflair_1_1meta_1_1_uav_state_machine.html#a0e53dbcb461575eed6f2cfefe7aa9437", null ],
@@ -67,4 +67,5 @@
     [ "AddDataToControlLawLog", "classflair_1_1meta_1_1_uav_state_machine.html#aa642bfeb1d97dec839088e2256a3699b", null ],
     [ "GetJoystick", "classflair_1_1meta_1_1_uav_state_machine.html#a8e60c6966eb00cf63c0278d575b8e394", null ],
+    [ "joy", "classflair_1_1meta_1_1_uav_state_machine.html#a3929dfba87003f40ce398a123616dd48", null ],
     [ "setupLawTab", "classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc", null ],
     [ "graphLawTab", "classflair_1_1meta_1_1_uav_state_machine.html#a317042b2fcf037957ffc5539b8b2342e", null ]
Index: trunk/doc/Flair/classflair_1_1meta_1_1_x_air.js
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_x_air.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_x_air.js	(revision 50)
@@ -1,7 +1,9 @@
 var classflair_1_1meta_1_1_x_air =
 [
-    [ "XAir", "classflair_1_1meta_1_1_x_air.html#a8b612c65a39cfc7252deb5d60616e1c1", null ],
+    [ "XAir", "classflair_1_1meta_1_1_x_air.html#abc58fb88f830ba06efd6707068bd3f53", null ],
     [ "~XAir", "classflair_1_1meta_1_1_x_air.html#a42374387735247add58968b985d7cd5a", null ],
     [ "StartSensors", "classflair_1_1meta_1_1_x_air.html#acef907daa0b811d60d6308d06b85d104", null ],
-    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_x_air.html#af941044271cb9ece534587c7c5b947b9", null ]
+    [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_x_air.html#af941044271cb9ece534587c7c5b947b9", null ],
+    [ "isReadyToFly", "classflair_1_1meta_1_1_x_air.html#a4ea2054e289ca3d072187a61061bd4be", null ],
+    [ "GetType", "classflair_1_1meta_1_1_x_air.html#a71719426d2777cbceafd4ea3b895cb85", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_battery_monitor.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_battery_monitor.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_battery_monitor.js	(revision 50)
@@ -3,5 +3,5 @@
     [ "BatteryMonitor", "classflair_1_1sensor_1_1_battery_monitor.html#aaa282725e3cc93b42f66e1e72c19ecae", null ],
     [ "~BatteryMonitor", "classflair_1_1sensor_1_1_battery_monitor.html#aefc9c63227a5a0a852ddba24ee7cd4e1", null ],
-    [ "IsBatteryLow", "classflair_1_1sensor_1_1_battery_monitor.html#a102998c66cbb48ff71399189cb3371bb", null ],
+    [ "IsBatteryLow", "classflair_1_1sensor_1_1_battery_monitor.html#a78ee7f0624b9ce35e76217726d8dc730", null ],
     [ "SetBatteryValue", "classflair_1_1sensor_1_1_battery_monitor.html#a8eed791db4d0f82898e9bb8e3788d818", null ],
     [ "GetVoltage", "classflair_1_1sensor_1_1_battery_monitor.html#aaa0c9ae84cba9a3724f1c35ac61791f2", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js	(revision 50)
@@ -6,5 +6,5 @@
       [ "JPG", "classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928", null ]
     ] ],
-    [ "Camera", "classflair_1_1sensor_1_1_camera.html#a0367c89fe729864229dcafe2ff10fb8a", null ],
+    [ "Camera", "classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4", null ],
     [ "Camera", "classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90", null ],
     [ "~Camera", "classflair_1_1sensor_1_1_camera.html#ad64596dd00415cfcecfa3589ddfdeaac", null ],
@@ -13,5 +13,5 @@
     [ "GetPlotTab", "classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228", null ],
     [ "SaveRawPictureToFile", "classflair_1_1sensor_1_1_camera.html#a2c8759d51a00ada2c069b51c34d17653", null ],
-    [ "SavePictureToFile", "classflair_1_1sensor_1_1_camera.html#adaa0b365fb3d3de0308e0269451db957", null ],
+    [ "SavePictureToFile", "classflair_1_1sensor_1_1_camera.html#a4f458342696953d923ee40efbc6a3e0e", null ],
     [ "Width", "classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63", null ],
     [ "Height", "classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_emulated_controller.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_emulated_controller.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_emulated_controller.js	(revision 50)
@@ -19,5 +19,5 @@
       [ "right", "classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a7c4f29407893c334a6cb7a87bf045c0d", null ]
     ] ],
-    [ "EmulatedController", "classflair_1_1sensor_1_1_emulated_controller.html#af7bcd67679646855b7f55b534621b004", null ],
+    [ "EmulatedController", "classflair_1_1sensor_1_1_emulated_controller.html#a8c50c81465aebb56959064ef6fd853bd", null ],
     [ "~EmulatedController", "classflair_1_1sensor_1_1_emulated_controller.html#ad7d6d2a52a2bc7c43d5cb9a571f3dc56", null ],
     [ "AddStep", "classflair_1_1sensor_1_1_emulated_controller.html#a2be58f7c5552d77ca993f1347a600731", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_gx3__25__imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_gx3__25__imu.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_gx3__25__imu.js	(revision 50)
@@ -6,5 +6,5 @@
       [ "Quaternion", "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4", null ]
     ] ],
-    [ "Gx3_25_imu", "classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558", null ],
+    [ "Gx3_25_imu", "classflair_1_1sensor_1_1_gx3__25__imu.html#adcc852b346d46e2f1b73232015e930d0", null ],
     [ "~Gx3_25_imu", "classflair_1_1sensor_1_1_gx3__25__imu.html#a846b96f161fe99d588b2d3b4d7a98bee", null ],
     [ "::Gx3_25_imu_impl", "classflair_1_1sensor_1_1_gx3__25__imu.html#aced28a91da3d8a16423107ad05ba2c10", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx =
 [
-    [ "HokuyoUTM30Lx", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a103a5681f23b69dc739da0b70ebcd5ea", null ],
+    [ "HokuyoUTM30Lx", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a6f06ca6eb398424de3dd8e49199ad0c3", null ],
     [ "~HokuyoUTM30Lx", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a703cae77132737a94a915e63d55995b5", null ],
     [ "getMesure", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a108d372d2be5bf99d44c9adc21c83fba", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_host_eth_controller.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_host_eth_controller.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_host_eth_controller.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_host_eth_controller =
 [
-    [ "HostEthController", "classflair_1_1sensor_1_1_host_eth_controller.html#a42b05de9ebce51972d1ed02f62cf8a0e", null ],
+    [ "HostEthController", "classflair_1_1sensor_1_1_host_eth_controller.html#a2a561df3660e098e3bcb47fd8b09a482", null ],
     [ "~HostEthController", "classflair_1_1sensor_1_1_host_eth_controller.html#a6601e0ad029567c45861e5be36e79e9d", null ],
     [ "DrawUserInterface", "classflair_1_1sensor_1_1_host_eth_controller.html#ab8551e6dc49bfce7a89c106ac0ab60c3", null ],
@@ -13,5 +13,5 @@
     [ "controllerName", "classflair_1_1sensor_1_1_host_eth_controller.html#ab32b5afc953c95626283a46872e097a4", null ],
     [ "controlSocket", "classflair_1_1sensor_1_1_host_eth_controller.html#ad1bfdc12c6746738b649f37c99bcec62", null ],
-    [ "dataSocket", "classflair_1_1sensor_1_1_host_eth_controller.html#a932275d8dbfc45aaa1ae69142fc42ffd", null ],
+    [ "dataSocket", "classflair_1_1sensor_1_1_host_eth_controller.html#a689ec219066b167772d472a5e87757cd", null ],
     [ "targetAddress", "classflair_1_1sensor_1_1_host_eth_controller.html#af1a8d3cba72bbf26938ab0e4fe6d1a26", null ],
     [ "targetPort", "classflair_1_1sensor_1_1_host_eth_controller.html#a44afe7d7bcf2fc0b23c041f76fbf7ed4", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js	(revision 50)
@@ -1,7 +1,8 @@
 var classflair_1_1sensor_1_1_imu =
 [
-    [ "Imu", "classflair_1_1sensor_1_1_imu.html#a2ee0420d6e69be3a51c9ad1ac1c6b386", null ],
+    [ "Imu", "classflair_1_1sensor_1_1_imu.html#ab8c2e7ec4d6d6d4efd175d2ce0811159", null ],
     [ "Imu", "classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a", null ],
     [ "~Imu", "classflair_1_1sensor_1_1_imu.html#ab01ce2e6b89698b001da63ae8df1722a", null ],
+    [ "GetDatas", "classflair_1_1sensor_1_1_imu.html#adb1105fe7b1c21234b6edde4d64da428", null ],
     [ "GetLayout", "classflair_1_1sensor_1_1_imu.html#a1d74dd0b750c287b112489786ff5b7eb", null ],
     [ "LockUserInterface", "classflair_1_1sensor_1_1_imu.html#aaf94fb4f5ba28e8c471cfefaee673b3d", null ],
@@ -11,5 +12,6 @@
     [ "GetOneAxisRotation", "classflair_1_1sensor_1_1_imu.html#ab399f291b7203463dbd1585db8e4b96c", null ],
     [ "GetGroupBox", "classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85", null ],
-    [ "UpdateImu", "classflair_1_1sensor_1_1_imu.html#a32a260c66ae679869d7628c561c35346", null ],
+    [ "ApplyRotation", "classflair_1_1sensor_1_1_imu.html#ad19d0939034366aafe24aceaf41a936f", null ],
+    [ "ApplyRotation", "classflair_1_1sensor_1_1_imu.html#aaf735d7535414d32e023d5eef8d525fc", null ],
     [ "GetDatas", "classflair_1_1sensor_1_1_imu.html#aa020369da0c3f8c80eef6abf9cad0cd9", null ],
     [ "::Ahrs_impl", "classflair_1_1sensor_1_1_imu.html#a50c9130b6608a0ab2fd959a44c72dae6", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_laser_range_finder.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_laser_range_finder.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_laser_range_finder.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_laser_range_finder =
 [
-    [ "LaserRangeFinder", "classflair_1_1sensor_1_1_laser_range_finder.html#a48f263b0c0565fd26118d4c1e9b3248d", null ],
+    [ "LaserRangeFinder", "classflair_1_1sensor_1_1_laser_range_finder.html#a7ad0bd1e2d3ac86a5c8be2f520585517", null ],
     [ "LaserRangeFinder", "classflair_1_1sensor_1_1_laser_range_finder.html#a3904a03de7b058a303aa2b689a69c9c6", null ],
     [ "~LaserRangeFinder", "classflair_1_1sensor_1_1_laser_range_finder.html#ab05261c5a3b05e39ab7068df65acfeb8", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_mb800.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_mb800.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_mb800.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_mb800 =
 [
-    [ "Mb800", "classflair_1_1sensor_1_1_mb800.html#afec90a43b805df6d850c50a1047e54eb", null ],
+    [ "Mb800", "classflair_1_1sensor_1_1_mb800.html#a07bf80c5661d152b454015765634daaf", null ],
     [ "~Mb800", "classflair_1_1sensor_1_1_mb800.html#a1b1e81f2370892b3d75c431865d95a48", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_nmea_gps.js	(revision 50)
@@ -4,7 +4,8 @@
       [ "GGA", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a9e0b10859022dd72f4764d3d94d2cb07", null ],
       [ "VTG", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a3afe41475c7b8274c53e8ace66cf90f0", null ],
-      [ "GST", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e", null ]
+      [ "GST", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e", null ],
+      [ "GSA", "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967aa3a3fce7d02f861fb7a29d67e4bf8159", null ]
     ] ],
-    [ "NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf", null ],
+    [ "NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93", null ],
     [ "NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba", null ],
     [ "~NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9", null ],
@@ -20,5 +21,5 @@
     [ "GetPlotTab", "classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6", null ],
     [ "SetRef", "classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e", null ],
-    [ "GetEnu", "classflair_1_1sensor_1_1_nmea_gps.html#a79938d8f65af8727dec1f0a639054816", null ],
+    [ "GetEnu", "classflair_1_1sensor_1_1_nmea_gps.html#af3b2504dd9cdb94ee02c49f21dc0c1d8", null ],
     [ "parseFrame", "classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8", null ],
     [ "GetDatas", "classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_novatel.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_novatel.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_novatel.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_novatel =
 [
-    [ "Novatel", "classflair_1_1sensor_1_1_novatel.html#a463b548ac4475e489a08ca323315337d", null ],
+    [ "Novatel", "classflair_1_1sensor_1_1_novatel.html#af3ac244b2a6c4ddfebe6b9a9da65e659", null ],
     [ "~Novatel", "classflair_1_1sensor_1_1_novatel.html#a9d6046e078858c12e281cea2ad8a737a", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_ps3_eye.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_ps3_eye.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_ps3_eye.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_ps3_eye =
 [
-    [ "Ps3Eye", "classflair_1_1sensor_1_1_ps3_eye.html#aa0c4319957c68846c02d0d5a0d3ff188", null ],
+    [ "Ps3Eye", "classflair_1_1sensor_1_1_ps3_eye.html#adde74963beadd2fd995d4eaca6768c8e", null ],
     [ "~Ps3Eye", "classflair_1_1sensor_1_1_ps3_eye.html#ae4db08a4e67cf41d0db0c4a4e37360c2", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_radio_receiver.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_radio_receiver.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_radio_receiver.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_radio_receiver =
 [
-    [ "RadioReceiver", "classflair_1_1sensor_1_1_radio_receiver.html#a433d4463e482b2864305df216ac242b6", null ],
+    [ "RadioReceiver", "classflair_1_1sensor_1_1_radio_receiver.html#a5abce8bcbb876bcc3ca4c37c00784576", null ],
     [ "~RadioReceiver", "classflair_1_1sensor_1_1_radio_receiver.html#ab53962d75766082908a66876cd3e342f", null ],
     [ "ChannelValue", "classflair_1_1sensor_1_1_radio_receiver.html#a4d1361ca2a8c41427c497a5598a9f2b6", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_simu_camera =
 [
-    [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#a386047097db5bfac75150c28204939df", null ],
-    [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#a6be09ed197576ce8c2db3116555cd176", null ],
+    [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa79f6ad054829916ac8404eb25e284e7", null ],
+    [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#a6268c6637a325229c73ac49d7af7882e", null ],
     [ "~SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0", null ],
     [ "shmem", "classflair_1_1sensor_1_1_simu_camera.html#a9a89781a160538e59f98615339187b8c", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera_g_l.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera_g_l.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera_g_l.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_simu_camera_g_l =
 [
-    [ "SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html#a7742e9e782d3f0b985405a42dc507fc2", null ],
+    [ "SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html#a104e677904ce4782fb78cdf5f0a5b82d", null ],
     [ "~SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html#a987491210b9f028b3286d0a04e6a3900", null ],
     [ "setNearValue", "classflair_1_1sensor_1_1_simu_camera_g_l.html#ab9fed80b79343744331b8cf6c2d22b9e", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_simu_gps =
 [
-    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a937609c8932b45881dac4261bc892915", null ],
-    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a09d3d0eea30ccabfee9ca4871a8229f7", null ],
+    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#ab44c7691b45759ee6529031d67b07c76", null ],
+    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b", null ],
     [ "~SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_simu_imu =
 [
-    [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a02d0ba12625f34bc2bd88d1fe4ad6cd4", null ],
-    [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a717e1c7c3b333bbb9cdd7b67d9f8fb51", null ],
+    [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a021162094240f8debbd3cb6d45f3ac7a", null ],
+    [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f", null ],
     [ "~SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf", null ]
 ];
